using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;


namespace Controllers.Admin
{
    /// <summary>
    /// PriProject)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "PriProject")]
    public class PriProjectController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriProjectService _PriProjectService;


        public PriProjectController(IPriProjectService PriProjectService)
        {
            _PriProjectService = PriProjectService;

        }

          /// <param name="param">参数请求体</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriProject/getPriProjectList")]
        public IActionResult getPriProjectList([FromQuery] PriProject param)
        {
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriProject/getPriProjectQuery")]
        public IActionResult getPriProjectQuery()
        {
            return SUCCESS(response);
        }


          /// <param name="param">参数请求体</param>
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriProject/addPriProject")]
        public IActionResult addPriProject([FromBody] PriProject param)
        {
            var modal = param.Adapt<PriProject>().ToCreate(HttpContext);
            var response = _PriProjectService.Add(modal);
            return SUCCESS(response);
        }


          /// <param name="param">参数请求体</param>
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriProject/updatePriProject")]
        public IActionResult updatePriProject([FromBody] PriProject param)
        {
            var modal = param.Adapt<PriProject>().ToCreate(HttpContext);
            var response = _PriProjectService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriProject/deletePriProject/Id")]
        public IActionResult deletePriProject()
        {
            var response = _PriProjectService.Delete();
            return SUCCESS(response);
        }




    }
}